=== debian/control ===
Source: jacktrip
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 help2man <!cross>,
 libjack-dev,
 libqt5networkauth5-dev,
 libqt5svg5-dev,
 libqt5websockets5-dev,
 librtaudio-dev,
 meson,
 pkg-config,
 python3-jinja2:native,
 python3-yaml:native,
 qtbase5-dev,
 qtdeclarative5-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/jacktrip/jacktrip/
Vcs-Git: https://salsa.debian.org/multimedia-team/jacktrip.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jacktrip

Package: jacktrip
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 iperf,
Description: high-quality system for audio network performances (cmdline)
 JackTrip is a Linux and Mac OS X-based system used for multi-machine
 network performance over the Internet. It supports any number of
 channels (as many as the computer/network can handle) of bidirectional,
 high quality, uncompressed audio signal streaming.
 .
 You can use it between any combination of Linux and Mac OS X systems
 (i.e., one end using Linux can connect to the other using Mac OS X).
 .
 It is currently being developed and actively tested at CCRMA by the
 SoundWIRE group.
 .
 This package contains the minimal command line version of jacktrip.

Package: jacktrip-gui
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 audacity,
 iperf,
 qjackctl,
Description: high-quality system for audio network performances (GUI)
 JackTrip is a Linux and Mac OS X-based system used for multi-machine
 network performance over the Internet. It supports any number of
 channels (as many as the computer/network can handle) of bidirectional,
 high quality, uncompressed audio signal streaming.
 .
 You can use it between any combination of Linux and Mac OS X systems
 (i.e., one end using Linux can connect to the other using Mac OS X).
 .
 It is currently being developed and actively tested at CCRMA by the
 SoundWIRE group.
 .
 This package contains the GUI version of jacktrip, which also includes
 RtAudio support.
