## jacktrip 1.10.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 set(rtaudio TRUE)
 set(weakjack TRUE)
 set(novs FALSE)
+set(vsftux FALSE)
 set(noupdater FALSE)
 set(psi FALSE)
 set(QtVersion "5")
@@ -35,6 +36,10 @@
   set(QRC_FILE "src/gui/qjacktrip_novs.qrc")
 else ()
   set(QRC_FILE "src/gui/qjacktrip.qrc")
+endif ()
+
+if (vsftux)
+  add_compile_definitions(VS_FTUX)
 endif ()
 
 if (noupdater)
@@ -155,6 +160,7 @@
   add_compile_definitions(RT_AUDIO)
   set (qjacktrip_SRC ${qjacktrip_SRC}
     src/RtAudioInterface.cpp
+    src/StereoToMono.cpp
   )
 endif ()
 
@@ -179,6 +185,10 @@
   if (NOT novs)
     set (qjacktrip_SRC ${qjacktrip_SRC}
       src/gui/virtualstudio.cpp
+      src/gui/vsApi.cpp
+      src/gui/vsAuth.cpp
+      src/gui/vsDeviceCodeFlow.cpp
+      src/gui/vsInit.cpp
       src/gui/vsQuickView.cpp
       src/gui/vsServerInfo.cpp
       src/gui/vsPing.cpp
@@ -189,6 +199,8 @@
       src/gui/vsWebSocket.cpp
       src/gui/vsPermissions.cpp
       src/gui/qjacktrip.qrc
+      src/Analyzer.cpp
+      src/Monitor.cpp
       src/Volume.cpp
       src/Tone.cpp
       # Need to include this for AUTOMOC to do its thing
