=== meson_options.txt ===
--- 
+++ 
@@ -4,5 +4,7 @@
 option('weakjack', type : 'boolean', value : 'false', description: 'Weak link JACK library')
 option('nogui', type : 'boolean', value : 'false', description: 'Build without graphical user interface')
 option('novs', type : 'boolean', value : 'false', description: 'Build without Virtual Studio support')
+option('vsftux', type : 'boolean', value : 'false', description: 'Build with Virtual Studio first launch experience')
 option('noupdater', type : 'boolean', value : 'false', description: 'Build without auto-update support')
 option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Choose build profile / Sets desktop id accordingly')
+option('qtversion', type : 'combo', choices: ['5', '6'], description: 'Choose to build with either Qt5 or Qt6')
