=== debian/changelog ===
jacktrip (1.10.0+ds-1) unstable; urgency=medium

  * New upstream version 1.10.0+ds
    + Drop patches applied upstream
  * Add missing sources for Simple-FFT header library
  * Update d/copyright
    * Add new files
    * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Jun 2023 08:51:48 +0200

jacktrip (1.9.0+ds-1) unstable; urgency=medium

  * New upstream version 1.9.0+ds
  * Add B-D on qtquickcontrols2-5-dev
  * Add patch to buildsystem to allow building non-GUI jacktrip
  * Update d/copyright
    + Bump dates in d/copyright
    + Re-generate d/copyright_hints
  * Update upstream version-mangling in d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 20:18:20 +0200
