=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-yaml:native,
  qtbase5-dev,
  qtdeclarative5-dev,
+ qtquickcontrols2-5-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jacktrip/jacktrip/
