=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,11 @@
 
 %:
 	dh $@ --sourcedirectory=$(DEB_SRCDIR) --buildsystem=meson
+
+execute_before_dh_auto_configure:
+	mkdir -p $(CURDIR)/externals/Simple-FFT/
+	cp -r $(CURDIR)/debian/missing-sources/Simple-FFT/include/ \
+		$(CURDIR)/externals/Simple-FFT/include/
 
 #.PHONY: $(patsubst %,configure_%,$(FLAVORS))
 override_dh_auto_configure-arch: $(patsubst %,configure_%,$(FLAVORS))
