=== meson_options.txt ===
option('wair', type : 'boolean', value : false, description: 'WAIR')
option('rtaudio', type : 'feature', value : 'auto', description: 'Build with RtAudio Backend')
option('jack', type : 'feature', value : 'auto', description: 'Build with JACK Backend')
option('weakjack', type : 'boolean', value : false, description: 'Weak link JACK library')
option('nogui', type : 'boolean', value : false, description: 'Build without graphical user interface')
option('novs', type : 'boolean', value : false, description: 'Build without Virtual Studio support')
option('vsftux', type : 'boolean', value : false, description: 'Build with Virtual Studio first launch experience')
option('noupdater', type : 'boolean', value : false, description: 'Build without auto-update support')
option('nofeedback', type : 'boolean', value : false, description: 'Build without feedback detection')
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Choose build profile / Sets desktop id accordingly')
option('qtversion', type : 'combo', choices: ['', '5', '6'], description: 'Choose to build with either Qt5 or Qt6')
option('buildinfo', type : 'string', value : '', yield : true, description: 'Additional info used to describe the build')
