=== debian/changelog ===
jacktrip (2.2.2+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:05:34 +1100

jacktrip (2.2.2+ds-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:53:02 +0000

jacktrip (2.2.2+ds-1) unstable; urgency=medium

  * New upstream version 2.2.2+ds
  * B-D on pkgconf

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 11 Feb 2024 11:12:36 +0100

jacktrip (2.2.1+ds-1) unstable; urgency=medium

  * New upstream version 2.2.1+ds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 02 Feb 2024 00:47:12 +0100

jacktrip (2.2.0+ds-1) unstable; urgency=medium

  * New upstream version 2.2.0+ds

  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 26 Jan 2024 00:05:22 +0100

jacktrip (2.1.0+ds-1) unstable; urgency=medium

  * New upstream version 2.1.0+ds
    + Refresh patches
  * Drop obsolete jacktrip-gui-launcher wrapper-script
  * Add more B-Ds
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Nov 2023 12:28:27 +0100

jacktrip (2.0.2+ds-2) unstable; urgency=medium

  * Re-enable "VirtualStudio" on selected platforms
    + Add qml-modules required by VirtualStudio as dependencies
  * use dh_installman to install manpages
    + Patch buildsystem to not compress manpages
    + Provide dummy-manpages when cross-compiling

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Sep 2023 14:08:27 +0200

jacktrip (2.0.2+ds-1) unstable; urgency=medium

  * New upstream version 2.0.2+ds
    + Drop patches applied upstream
  * Disable "Virtual Studio"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 05 Sep 2023 23:38:57 +0200

jacktrip (2.0.1+ds-1) unstable; urgency=medium

  * New upstream version 2.0.1+ds
  * Switch to Qt6
  * Add patch to allow building without 'git' installed
  * Add patch for a more useful manpage synopsis
  * Use upstream's "install" targets
  * Use upstream manpages
    + Drop cached desktop/manpage from debian/
  * Drop local copy of Simple-FFT (now included upstream)
  * Update copyright information
    + Update copyright and licenses
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 30 Aug 2023 11:52:26 +0200
