=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jacktrip
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
@@ -9,17 +10,19 @@
  dh-buildinfo,
  help2man <!cross>,
  libjack-dev,
- libqt5networkauth5-dev,
- libqt5svg5-dev,
- libqt5websockets5-dev,
  librtaudio-dev,
  meson,
- pkg-config,
+ pkgconf | pkg-config,
  python3-jinja2:native,
  python3-yaml:native,
- qtbase5-dev,
- qtdeclarative5-dev,
- qtquickcontrols2-5-dev,
+ qt6-5compat-dev,
+ qt6-base-dev,
+ qt6-declarative-dev,
+ qt6-networkauth-dev,
+ qt6-shadertools-dev,
+ qt6-svg-dev [amd64 arm64 armhf i386],
+ qt6-webengine-dev [amd64 arm64 armhf i386],
+ qt6-websockets-dev [amd64 arm64 armhf i386],
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jacktrip/jacktrip/
@@ -51,6 +54,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
+ ${qt:Depends},
  ${shlibs:Depends},
 Suggests:
  audacity,
