## jacktrip 2.3.0+ds

=== debian/changelog ===
jacktrip (2.3.0+ds-1+rpi1) trixie-staging; urgency=medium

  * Remove armhf from qtwebengine architecture lists.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 14 Jul 2024 20:22:19 +0000

jacktrip (2.3.0+ds-1) unstable; urgency=medium

  * New upstream version 2.3.0+ds
    + Refresh patches
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 17 May 2024 08:28:06 +0200

jacktrip (2.2.5+ds-1) unstable; urgency=medium

  * New upstream version 2.2.5+ds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 02 Apr 2024 16:38:39 +0200

jacktrip (2.2.4+ds-1) unstable; urgency=medium

  * New upstream version 2.2.4+ds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 16 Mar 2024 23:51:47 +0100

jacktrip (2.2.3+ds-1) unstable; urgency=medium

  * New upstream version 2.2.3+ds
  * Update copyright information
    + Bump dates in d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Mar 2024 08:43:32 +0100
