=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: jacktrip
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
@@ -20,10 +19,10 @@
  qt6-declarative-dev,
  qt6-networkauth-dev,
  qt6-shadertools-dev,
- qt6-svg-dev [amd64 arm64 armhf i386],
- qt6-webengine-dev [amd64 arm64 armhf i386],
- qt6-websockets-dev [amd64 arm64 armhf i386],
-Standards-Version: 4.6.2
+ qt6-svg-dev [amd64 arm64 i386],
+ qt6-webengine-dev [amd64 arm64 i386],
+ qt6-websockets-dev [amd64 arm64  i386],
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jacktrip/jacktrip/
 Vcs-Git: https://salsa.debian.org/multimedia-team/jacktrip.git
