=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 CONFIG_cli = -Dnogui=true -Drtaudio=disabled
 CONFIG_gui = -Dnogui=false -Drtaudio=enabled
 
-ifeq ($(strip $(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386)),)
+ifeq ($(strip $(filter $(DEB_HOST_ARCH), amd64 arm64 i386)),)
 CONFIG += -Dnovs=true
 else
 QT_DEPENDS = \
