=== debian/changelog ===
jacktrip (2.4.1+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 30 Oct 2024 15:35:07 +0100

jacktrip (2.4.1+ds-1) unstable; urgency=medium

  * New upstream version 2.4.1+ds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 17 Oct 2024 22:33:00 +0200

jacktrip (2.4.0+ds-1) unstable; urgency=medium

  * New upstream version 2.4.0+ds
    + Refresh patches
  * Update copyright information
    + Update d/copyright
    + Update copyright-ignore-regex
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Sep 2024 00:04:20 +0200

jacktrip (2.3.1+ds-1) unstable; urgency=medium

  * New upstream version 2.3.1+ds
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Aug 2024 08:49:07 +0200
