=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
  qt6-declarative-dev,
  qt6-networkauth-dev,
  qt6-shadertools-dev,
- qt6-svg-dev [amd64 arm64 i386],
- qt6-webengine-dev [amd64 arm64 i386],
- qt6-websockets-dev [amd64 arm64  i386],
+ qt6-svg-dev [amd64 arm64 armhf i386],
+ qt6-webengine-dev [amd64 arm64 armhf i386],
+ qt6-websockets-dev [amd64 arm64 armhf i386],
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jacktrip/jacktrip/
