=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 CONFIG_cli = -Dnogui=true -Drtaudio=disabled
 CONFIG_gui = -Dnogui=false -Drtaudio=enabled
 
-ifeq ($(strip $(filter $(DEB_HOST_ARCH), amd64 arm64 i386)),)
+ifeq ($(strip $(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386)),)
 CONFIG += -Dnovs=true
 else
 QT_DEPENDS = \
@@ -73,7 +73,7 @@
 
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-        debian/.*|documentation/img/.*|docs/images/.*\.png|src/gui/.*\.png|src/gui/alt/Jacktrip\.ai|macos/jacktrip\.iconset/.*\.png|macos/JackTrip\.app_template/Contents/Resources/jacktrip\.icns|macos/jacktrip_alt\.icns
+        debian/.*|documentation/img/.*|docs/images/.*\.png|src/vs/.*\.png|src/gui/.*\.png|src/gui/alt/Jacktrip\.ai|macos/jacktrip\.iconset/.*\.png|macos/JackTrip\.app_template/Contents/Resources/jacktrip\.icns|macos/jacktrip_alt\.icns
 # licensecheck v1
 .PHONY: licensecheck
 licensecheck:
