## jacktrip 2.5.1%2Bds

=== build-aux/flatpak/requirements.txt ===
pyyaml
jinja2
