=== debian/changelog ===
jacktrip (2.5.1+ds-1) unstable; urgency=medium

  * New upstream version 2.5.1+ds
  * More upstream metadata

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 09 Feb 2025 22:10:08 +0100

jacktrip (2.5.0+ds-1) unstable; urgency=medium

  * New upstream version 2.5.0+ds
    + Refresh patches
  * Build against libsamplerate
  * Update copyright information
    + Update d/copyright
    + Re-generate copyright hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Jan 2025 17:13:40 +0100
