=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  help2man <!cross>,
  libjack-dev,
  librtaudio-dev,
+ libsamplerate-dev,
  meson,
  pkgconf | pkg-config,
  python3-jinja2:native,
