=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 FLAVORS = cli gui
-CONFIG = -Djack=enabled -Dqtversion=6
+CONFIG = -Djack=enabled -Dqtversion=6 -Dlibsamplerate=enabled
 CONFIG_cli = -Dnogui=true -Drtaudio=disabled
 CONFIG_gui = -Dnogui=false -Drtaudio=enabled
