=== meson_options.txt ===
--- 
+++ 
@@ -2,8 +2,10 @@
 option('rtaudio', type : 'feature', value : 'auto', description: 'Build with RtAudio Backend')
 option('jack', type : 'feature', value : 'auto', description: 'Build with JACK Backend')
 option('weakjack', type : 'boolean', value : false, description: 'Weak link JACK library')
+option('libsamplerate', type : 'feature', value : 'auto', description: 'Support for sample rate conversions')
 option('nogui', type : 'boolean', value : false, description: 'Build without graphical user interface')
 option('novs', type : 'boolean', value : false, description: 'Build without Virtual Studio support')
+option('nooscpp', type : 'boolean', value : false, description: 'Build without OSC support')
 option('noclassic', type : 'boolean', value : false, description: 'Build without classic mode support')
 option('vsftux', type : 'boolean', value : false, description: 'Build with Virtual Studio first launch experience')
 option('noupdater', type : 'boolean', value : false, description: 'Build without auto-update support')
@@ -12,3 +14,7 @@
 option('qtversion', type : 'combo', choices: ['', '5', '6'], description: 'Choose to build with either Qt5 or Qt6')
 option('qtedition', type : 'combo', choices: ['opensource', 'commercial'], description: 'Choose license edition for Qt')
 option('buildinfo', type : 'string', value : '', yield : true, description: 'Additional info used to describe the build')
+option('vst-libdir', type : 'string', value : '', yield : true,
+  description : 'Directory with VST SDK3 libraries (e.g. libsdk.a, libbase.a)')
+option('vst-sdkdir', type : 'string', value : '', yield : true,
+  description : 'Directory with VST SDK3 headers (e.g. public.sdk/source/vst/hosting/module.h)')
