=== debian/changelog ===
jacktrip (2.7.1+ds-1) unstable; urgency=medium

  * New upstream version 2.7.1+ds
    (Closes: #1096869)
    + Drop obsolete patches
    + Refresh patches
  * Drop alternative B-D on obsolete pkg-config
  * Update copyright information
    + Bump copyright dates
    + Update exclude rules for licensecheck target
    + Re-generate copyright hints
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Aug 2025 12:57:35 +0200
