=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
  help2man <!cross>,
  libjack-dev,
  librtaudio-dev,
  libsamplerate-dev,
  meson,
- pkgconf | pkg-config,
+ pkgconf,
  python3-jinja2:native,
  python3-yaml:native,
  qt6-5compat-dev,
@@ -23,7 +22,7 @@
  qt6-svg-dev [amd64 arm64 armhf i386],
  qt6-webengine-dev [amd64 arm64 armhf i386],
  qt6-websockets-dev [amd64 arm64 armhf i386],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jacktrip/jacktrip/
 Vcs-Git: https://salsa.debian.org/multimedia-team/jacktrip.git
