=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,7 @@
 
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-        debian/.*|documentation/img/.*|docs/images/.*\.png|src/vs/.*\.png|src/gui/.*\.png|src/gui/alt/Jacktrip\.ai|macos/jacktrip\.iconset/.*\.png|macos/JackTrip\.app_template/Contents/Resources/jacktrip\.icns|macos/jacktrip_alt\.icns
+        debian/.*|documentation/img/.*|docs/images/.*\.png|src/vs/.*\.png|src/images/.*\.png|src/images/jacktrip\.icns|src/gui/alt/.*\.png|src/gui/alt/Jacktrip\.ai|macos/jacktrip(_alt)?\.iconset/.*\.png|macos/jacktrip_alt\.icns
 # licensecheck v1
 .PHONY: licensecheck
 licensecheck:
